wxWidgets: wxDynamicLibraryDetails Class Reference

| Version: 3.0.5

Public Member Functions | List of all members
wxDynamicLibraryDetails Class Reference
Class List by Category » Application and Process Management

`#include </home/Hamish/wxwidgets/wxWidgets3.0-3.0.5.1-1.src/wxWidgets3.0-3.0.5.1-1.i686/src/wxWidgets-3.0.5.1/interface/wx/dynlib.h>`

## Detailed Description

This class is used for the objects returned by the wxDynamicLibrary::ListLoaded() method and contains the information about a single module loaded into the address space of the current process.

A module in this context may be either a dynamic library or the main program itself.

##

Library: wxBase

<>< =''>:</>&;&;< =''>\ </></>

## Public Member Functions
bool | GetAddress (void *addr, size_t *len) const
| Retrieves the load address and the size of this module. More...
wxString | GetName () const
| Returns the base name of this module, e.g. `"kernel32.dll"` or `"libc-2.3.2.so"`. More...
wxString | GetPath () const
| Returns the full path of this module if available, e.g. `"c:\windows\system32\kernel32.dll"` or `"/lib/libc-2.3.2.so"`. More...
wxString | GetVersion () const
| Returns the version of this module, e.g. `"5.2.3790.0"` or `"2.3.2"`. More...

## Member Function Documentation

## ◆ GetAddress()

bool wxDynamicLibraryDetails::GetAddress | ( | void * | addr,
|  | size_t * | len
| ) |  | const

Retrieves the load address and the size of this module.

Parameters

  addr | The pointer to the location to return load address in, may be NULL.
  len | Pointer to the location to return the size of this module in memory in, may be NULL.

Returns
  true if the load address and module size were retrieved, false if this information is not available.

## ◆ GetName()

wxString wxDynamicLibraryDetails::GetName | ( |  | ) | const

Returns the base name of this module, e.g. `"kernel32.dll"` or `"libc-2.3.2.so"`.

## ◆ GetPath()

wxString wxDynamicLibraryDetails::GetPath | ( |  | ) | const

Returns the full path of this module if available, e.g. `"c:\windows\system32\kernel32.dll"` or `"/lib/libc-2.3.2.so"`.

## ◆ GetVersion()

wxString wxDynamicLibraryDetails::GetVersion | ( |  | ) | const

Returns the version of this module, e.g. `"5.2.3790.0"` or `"2.3.2"`.

The returned string is empty if the version information is not available.